Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • 開発Sitecore Personalize
    • ベースURL
    • レスポンスコード
        • 意思決定モデルバリアントの作成
        • ディシジョンモデルバリアントの取得
        • 意思決定モデルバリアントの更新
        • デシジョンモデルバリアントのリビジョンの取得
        • デシジョンモデルバリアントのリビジョンの取得
  1. 意思決定モデルバリアントREST API
  1. REST API
  2. 意思決定モデルバリアントREST API
  3. デシジョンモデルバリアントのリビジョンの取得

デシジョンモデルバリアントのリビジョンの取得

日本語翻訳に関する免責事項

このページの翻訳はAIによって自動的に行われました。可能な限り正確な翻訳を心掛けていますが、原文と異なる表現や解釈が含まれる場合があります。正確で公式な情報については、必ず英語の原文をご参照ください。

GET /v2/decisionModelVariants/{:placeholder-token:}<decisionModelVariantRef>{/:placeholder-token:}/revisions

ディシジョンモデルバリアントのすべてのリビジョンを取得します。

属性

種類

形容

例

{:placeholder-token:}decisionModelVariantRef{/:placeholder-token:}

糸

ディシジョンモデルバリアントの参照。

意思決定モデル・バリアント参照がわからない場合は、まず 意思決定モデル・バリアントを取得します。

c682b6b6-934b-415b-bc46-ce6184809156

応答では、revisionキーにリビジョン参照が含まれています。リビジョン参照を使用して 、特定のリビジョンを取得します。

curl -X GET '<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156/revisions' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
{  
   "href":"<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156/revisions",
   "items":[  
      {  
         "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
         "href":"<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156/revisions/1",
         "ref":"c682b6b6-934b-415b-bc46-ce6184809156",
         "name":"Seasonal Offers",
         "modifiedByUserRef":"25f46901-bc51-45e8-b587-148aecf1e48f",
         "modifiedAt":"2025-10-05T07:37:49.650Z",
         "revision":1,
         "archived":false,
         "decisionModelDefinitionRef":"db6ee91d-bc02-4e83-8621-a17aee09814d",
         "definition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
         "transpiledDefinition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
         "decisionModelDefinition":{  
            "href":"<baseURL>/v2/decisionModelDefinitions/db6ee91d-bc02-4e83-8621-a17aee09814d"
         },
        "offers":[  
      "938a3392-1a18-4872-844a-9ecd56f61bf0",
      "2ff198c2-caee-4ccd-ab89-99a18ead3b06",
      "024c33ee-c74a-4b33-8050-7c2fccd4c776"
   ],
   "inProduction":true
}
この記事を改善するための提案がある場合は、 お知らせください!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use